#include "VmCode.h"

_VM_CODE_LINK::_VM_CODE_LINK()
{
	Flags = 0;
	Next = Prev = NULL;
	Label = 0;
	RawData = NULL;
	RawDataSize = 0UL;
}

_VM_CODE_LINK::_VM_CODE_LINK(ULONG LabelId)
	: _VM_CODE_LINK()
{
	Label = LabelId;
	Flags = CODE_FLAG_IS_LABEL;
}